     d = open("nomer")     rem открыть БД, хранящую номер док-та
     getfirst(d)           rem прочесть первую запись
     nom = 'Номер_док.'.d  rem прочесть номер док-та в переменную nom
     close(d)              rem закрыть БД
     d = open("") rem открыть БД - реестр док-ов
     if Find(d,1,1,nom) != 0 then goto 900 rem найти док-т с номером nom
     d1 = open("spoop")             rem открыть спр-ик отложенных операций
     getlast(d1)                    rem прочитать последнюю запись
     num_last = 'N_проводки'.d1 + 1 rem определить номер последней проводки
     clearbuf(d1)                   rem очистить буфер для новой записи
     'N_проводки'.d1 = num_last     rem установить номер проводки
rem установить дату,номер док-та,корреспонденцию счетов и субсчетов, сумму
rem и примечание  
     'Дата'.d1 = 'Дата'.d           
     'Документ'.d1 = nom   
     'Db_счета'.d1 = ""
     'Db_расчеты'.d1 = ""
     'Kr_счета'.d1 = ""
     'Kr_расчеты'.d1 = ""
     'Сумма'.d1 = 'Сумма'.d
     'Примечание'.d1 = " "
     insert(d1) rem вставить новую проводку в справочник отложенных операций 
     close(d1)  rem закрыть БД spoop.btr
900  close(d)   rem закрыть БД -реестр документов
     end